[openssh-commits] [openssh] 09/09: upstream commit

git+noreply at mindrot.org git+noreply at mindrot.org
Tue Nov 29 17:20:12 AEDT 2016


This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit 79e4829ec81dead1b30999e1626eca589319a47f
Author: dtucker at openbsd.org <dtucker at openbsd.org>
Date:   Fri Nov 25 03:02:01 2016 +0000

    upstream commit
    
    Allow PuTTY interop tests to run unattended.  bz#2639,
    patch from cjwatson at debian.org.
    
    Upstream-Regress-ID: 4345253558ac23b2082aebabccd48377433b6fe0
---
 regress/putty-ciphers.sh  |  4 ++--
 regress/putty-kex.sh      |  5 ++---
 regress/putty-transfer.sh |  6 +++---
 regress/test-exec.sh      | 12 +++++++++---
 4 files changed, 16 insertions(+), 11 deletions(-)

diff --git a/regress/putty-ciphers.sh b/regress/putty-ciphers.sh
index 724a98c..9adba67 100644
--- a/regress/putty-ciphers.sh
+++ b/regress/putty-ciphers.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: putty-ciphers.sh,v 1.4 2013/05/17 04:29:14 dtucker Exp $
+#	$OpenBSD: putty-ciphers.sh,v 1.5 2016/11/25 03:02:01 dtucker Exp $
 #	Placed in the Public Domain.
 
 tid="putty ciphers"
@@ -16,7 +16,7 @@ for c in aes blowfish 3des arcfour aes128-ctr aes192-ctr aes256-ctr ; do
 
 	rm -f ${COPY}
 	env HOME=$PWD ${PLINK} -load cipher_$c -batch -i putty.rsa2 \
-	    127.0.0.1 cat ${DATA} > ${COPY}
+	    cat ${DATA} > ${COPY}
 	if [ $? -ne 0 ]; then
 		fail "ssh cat $DATA failed"
 	fi
diff --git a/regress/putty-kex.sh b/regress/putty-kex.sh
index 1844d65..9d3c6a9 100644
--- a/regress/putty-kex.sh
+++ b/regress/putty-kex.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: putty-kex.sh,v 1.3 2013/05/17 04:29:14 dtucker Exp $
+#	$OpenBSD: putty-kex.sh,v 1.4 2016/11/25 03:02:01 dtucker Exp $
 #	Placed in the Public Domain.
 
 tid="putty KEX"
@@ -14,8 +14,7 @@ for k in dh-gex-sha1 dh-group1-sha1 dh-group14-sha1 ; do
 	    ${OBJ}/.putty/sessions/kex_$k
 	echo "KEX=$k" >> ${OBJ}/.putty/sessions/kex_$k
 
-	env HOME=$PWD ${PLINK} -load kex_$k -batch -i putty.rsa2 \
-	    127.0.0.1 true
+	env HOME=$PWD ${PLINK} -load kex_$k -batch -i putty.rsa2 true
 	if [ $? -ne 0 ]; then
 		fail "KEX $k failed"
 	fi
diff --git a/regress/putty-transfer.sh b/regress/putty-transfer.sh
index aec0e04..8eb6ae0 100644
--- a/regress/putty-transfer.sh
+++ b/regress/putty-transfer.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: putty-transfer.sh,v 1.3 2013/05/17 04:29:14 dtucker Exp $
+#	$OpenBSD: putty-transfer.sh,v 1.4 2016/11/25 03:02:01 dtucker Exp $
 #	Placed in the Public Domain.
 
 tid="putty transfer data"
@@ -17,7 +17,7 @@ for p in 2; do
 		    ${OBJ}/.putty/sessions/compression_$c
 		echo "Compression=$c" >> ${OBJ}/.putty/sessions/kex_$k
 		env HOME=$PWD ${PLINK} -load compression_$c -batch \
-		    -i putty.rsa$p 127.0.0.1 cat ${DATA} > ${COPY}
+		    -i putty.rsa$p cat ${DATA} > ${COPY}
 		if [ $? -ne 0 ]; then
 			fail "ssh cat $DATA failed"
 		fi
@@ -28,7 +28,7 @@ for p in 2; do
 			rm -f ${COPY}
 			dd if=$DATA obs=${s} 2> /dev/null | \
 				env HOME=$PWD ${PLINK} -load compression_$c \
-				    -batch -i putty.rsa$p 127.0.0.1 \
+				    -batch -i putty.rsa$p \
 				    "cat > ${COPY}"
 			if [ $? -ne 0 ]; then
 				fail "ssh cat $DATA failed"
diff --git a/regress/test-exec.sh b/regress/test-exec.sh
index 622bbc2..5d48706 100644
--- a/regress/test-exec.sh
+++ b/regress/test-exec.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: test-exec.sh,v 1.56 2016/11/25 02:56:49 dtucker Exp $
+#	$OpenBSD: test-exec.sh,v 1.57 2016/11/25 03:02:01 dtucker Exp $
 #	Placed in the Public Domain.
 
 #SUDO=sudo
@@ -512,7 +512,11 @@ if test "$REGRESS_INTEROP_PUTTY" = "yes" ; then
 
 	# Add a PuTTY key to authorized_keys
 	rm -f ${OBJ}/putty.rsa2
-	puttygen -t rsa -o ${OBJ}/putty.rsa2 < /dev/null > /dev/null
+	if ! puttygen -t rsa -o ${OBJ}/putty.rsa2 \
+	    --new-passphrase /dev/null < /dev/null > /dev/null; then
+		echo "Your installed version of PuTTY is too old to support --new-passphrase; trying without (may require manual interaction) ..." >&2
+		puttygen -t rsa -o ${OBJ}/putty.rsa2 < /dev/null > /dev/null
+	fi
 	puttygen -O public-openssh ${OBJ}/putty.rsa2 \
 	    >> $OBJ/authorized_keys_$USER
 
@@ -525,10 +529,12 @@ if test "$REGRESS_INTEROP_PUTTY" = "yes" ; then
 	# Setup proxied session
 	mkdir -p ${OBJ}/.putty/sessions
 	rm -f ${OBJ}/.putty/sessions/localhost_proxy
-	echo "Hostname=127.0.0.1" >> ${OBJ}/.putty/sessions/localhost_proxy
+	echo "Protocol=ssh" >> ${OBJ}/.putty/sessions/localhost_proxy
+	echo "HostName=127.0.0.1" >> ${OBJ}/.putty/sessions/localhost_proxy
 	echo "PortNumber=$PORT" >> ${OBJ}/.putty/sessions/localhost_proxy
 	echo "ProxyMethod=5" >> ${OBJ}/.putty/sessions/localhost_proxy
 	echo "ProxyTelnetCommand=sh ${SRC}/sshd-log-wrapper.sh ${TEST_SSHD_LOGFILE} ${SSHD} -i -f $OBJ/sshd_proxy" >> ${OBJ}/.putty/sessions/localhost_proxy
+	echo "ProxyLocalhost=1" >> ${OBJ}/.putty/sessions/localhost_proxy
 
 	REGRESS_INTEROP_PUTTY=yes
 fi

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list